Bug 209474 - devel/msgpack: Update to 1.4.1
Summary: devel/msgpack: Update to 1.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 209476
  Show dependency treegraph
 
Reported: 2016-05-12 22:43 UTC by Yuri Victorovich
Modified: 2016-05-27 18:57 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (21.87 KB, patch)
2016-05-12 22:43 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-05-12 22:43:11 UTC
Created attachment 170238 [details]
patch

Passes poudriere.
Comment 1 Kurt Jaeger freebsd_committer 2016-05-13 19:41:23 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2016-05-13 19:58:58 UTC
Two ports use msgpack. Can they cope with the update ? What are the changes from 1.1 to 1.4.1 ?

editors/neovim
textproc/groonga
Comment 3 Kurt Jaeger freebsd_committer 2016-05-13 19:59:43 UTC
btw, testbuilds are fine.
Comment 4 Yuri Victorovich freebsd_committer 2016-05-13 22:38:09 UTC
The depending ports are:
* textproc/groonga - full text search engine
* editors/neovim - vim fork (currently doesn't build due to bugs that I reported upstream)

From what I see msgpack is expanded and added to.

In both ports this change needs to be made (library is renamed):
libmsgpack.so:devel/msgpack -> libmsgpackc.so:devel/msgpack
Comment 5 Steve Wills freebsd_committer 2016-05-20 02:26:58 UTC
(In reply to yuri from comment #4)
Can you point to the bug report for neovim please? Is there a patch available?
Comment 6 Yuri Victorovich freebsd_committer 2016-05-20 02:48:04 UTC
Here the neovim bug is fixed and closed on github: https://github.com/neovim/neovim/issues/4750

neovim port doesn't build for me on FreeBSD at all.
neovim is in pre-release now on github.
Comment 7 Steve Wills freebsd_committer 2016-05-20 14:28:39 UTC
(In reply to yuri from comment #6)
Thanks, the patch in that bug report fixes it. I can commit that as soon as the msgpack update is committed.
Comment 8 Kurt Jaeger freebsd_committer 2016-05-27 18:57:01 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2016-05-27 18:57:44 UTC
A commit references this bug:

Author: pi
Date: Fri May 27 18:56:53 UTC 2016
New revision: 415958
URL: https://svnweb.freebsd.org/changeset/ports/415958

Log:
  devel/msgpack: 1.1.0 -> 1.4.2

  Changes:
    https://github.com/msgpack/msgpack-c/blob/master/CHANGELOG.md
  - dependent ports PORTREVISION bump because name of shared library changed

  PR:		209474
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Reviewed by:	swills

Changes:
  head/devel/msgpack/Makefile
  head/devel/msgpack/distinfo
  head/devel/msgpack/files/patch-Makefile.am
  head/devel/msgpack/pkg-descr
  head/devel/msgpack/pkg-plist
  head/editors/neovim/Makefile
  head/textproc/groonga/Makefile